Search people
Full-text search over people. Accepts JSON:API-style filter, sort, and page parameters and returns a paginated list of search_hit_people resources. Also routed for POST with the same parameters in the request body.
Authorization
bearerAuth In: header
Query Parameters
Search and filter criteria passed to the people search index (includes the search term and structured field filters).
Comma-separated list of attributes to sort by. Prefix with - for
descending order (-created_at,family_name).
Offset pagination parameters.
Sparse-fieldset selection. Entries prefixed with person. (e.g. person.given_name) limit the nested person fields fetched from the search index; person selects the whole nested person.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/search/people"{ "data": [ { "type": "search_hit_people", "id": "string", "attributes": { "score": 0, "sort_fields": [ null ], "person": {} }, "links": { "self": "../dictionary" } } ], "meta": { "page": { "total_items": 0, "total_pages": 0, "number": 0, "size": 0 } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}